using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BeaconScript : MonoBehaviour {

    // Use this for initialization
    AudioSource boom;

        void Awake()
    {

    }
    void Start () {
        // + 1 so dass es nicht auf 0 fällt
        GameManager.instance.activebeacons += 1;
        boom = this.gameObject.GetComponent<AudioSource>();
    }

	// Update is called once per frame
	void Update () {

	}

    void OnCollisionEnter(Collision col)
    {
        if (col.gameObject.tag == "Player")
        {
            // auf GameManager zugreifen, Wert für Beacon verringern


            GameManager.instance.activebeacons -= 1;
            boom.Play();
            //Destroy (gameObject);
            gameObject.SetActive(false);
        }
    }
}
